/*
 * Data.fx
 *
 * Created on Feb 24, 2010, 3:40:32 PM
 */

package mindfusion.controls.demo;

import javafx.scene.image.*;


/**
 * @author Meppy
 */

package def STEP_INTRODUCTION = -1;
package def STEP_WINDOW = 0;
package def STEP_GRID = 1;
package def STEP_LISTVIEW = 2;
package def STEP_TREEVIEW = 3;
package def STEP_MENU = 4;
package def STEP_TOOLBAR = 5;
package def STEP_TOOLTIP = 6;
package def STEP_DROPDOWN = 7;
package def STEP_CALENDAR = 8;
package def STEP_CLOCK = 9;
package def STEP_TABVIEW = 10;


package def Steps =
[
	Step.Desc
	{
		id: STEP_GRID;
		title: "Grid";
		tooltip: "Demonstrates the Grid control.";
		description: "This step demonstrates a Grid control displaying 200.000 records. "
			"The grid provides built-in in-place editing for certain data types such as strings, "
			"numbers and booleans. The columns of the grid are resizable, but sorting is "
			"disabled in this step due to the excessive amount of time JavaFX takes to "
			"sort the data.";
		image: Image { url: "{__DIR__}Images/StepGrid.png"; };
	},
	Step.Desc
	{
		id: STEP_LISTVIEW;
		title: "ListView";
		tooltip: "Demonstrates the ListView control.";
		description: "The MindFusion.Controls ListView, in contrast to the JavaFX ListView, "
			"can hold any type of JavaFX Node-derived objects, not only Object. Similarly "
			"to the TreeView, the list view can display nodes of varying sizes.";
		image: Image { url: "{__DIR__}Images/StepListView.png"; };
	},
	Step.Desc
	{
		id: STEP_TREEVIEW;
		title: "TreeView";
		tooltip: "Demonstrates the ListView control.";
		description: "This sample demonstrates a regular TreeView containing text items "
			"and a more advanced TreeView, which hosts controls, such as buttons and check boxes. "
			"The TreeView can also display items of variable sizes.";
		image: Image { url: "{__DIR__}Images/StepTreeView.png"; };
	},
	Step.Desc
	{
		id: STEP_TABVIEW;
		title: "TabView";
		tooltip: "Demonstrates the TabView control.";
		description: "This sample demonstrates an ordinary tab view control with several "
			"predefined pages, containing various other controls.";
		image: Image { url: "{__DIR__}Images/StepTabView.png"; };
	},
	Step.Desc
	{
		id: STEP_WINDOW;
		title: "Window";
		tooltip: "Demonstrates the Window control.";
		description: "This step demonstrates the Window control. Window controls can have "
			"titles, menus, toolbars and can hold content. Windows can be moved and resized "
			"interactively and when hosted in a special container - WindowHost, they can be "
			"minimized, maximized and activated.\n"
			"Try playing around with the window above. Right-click with the mouse anywhere "
			"within the container to invoke the context menu for additional options.";
		image: Image { url: "{__DIR__}Images/StepWindow.png"; };
	},
	Step.Desc
	{
		id: STEP_MENU;
		title: "Menu";
		tooltip: "Demonstrates the Menu control.";
		description: "The Menu control is a standard JavaFX Control and as such can be used anywhere "
			"within a scene graph. In addition to the ordinary menus, MindFusion.Controls provides "
			"context menus, which can be triggered in response to an arbitrary event, usually a user "
			"mouse click action.";
		image: Image { url: "{__DIR__}Images/StepMenu.png"; };
	},
	Step.Desc
	{
		id: STEP_TOOLBAR;
		title: "ToolBar";
		tooltip: "Demonstrates the ToolBar control.";
		description: "The ToolBar control can contain a sequence of arbitrary JavaFX node graphs, "
			"each representing an item in the toolbar. The items can contain drop down menus and "
			"tooltips.";
		image: Image { url: "{__DIR__}Images/StepToolBar.png"; };
	},
	Step.Desc
	{
		id: STEP_TOOLTIP;
		title: "ToolTip";
		tooltip: "Demonstrates the ToolTip control.";
		description: "The ToolTip control can be associated with any node on a scene. "
			"Tooltips can be simple strings or an arbitrary composition of Node-derived objects. "
			"Point and hold any of the controls above with the mouse to see various tooltips. "
			"The ToolTip control repositions itself automatically so that it does not leave the "
			"the scene if this is possible.";
		image: Image { url: "{__DIR__}Images/StepToolTip.png"; };
	},
	Step.Desc
	{
		id: STEP_DROPDOWN;
		title: "DropDown";
		tooltip: "Demonstrates the DropDown control.";
		description: "The DropDown control is the base for various picker controls, "
			"such as combo box and date picker. Sample drop-down controls can be "
			"observed in this step, including a custom drop-down control which selects "
			"an item from a TreeView.";
		image: Image { url: "{__DIR__}Images/StepDropDown.png"; };
	},
	Step.Desc
	{
		id: STEP_CALENDAR;
		title: "Calendar";
		tooltip: "Demonstrates the Calendar control.";
		description: "The Calendar control can display one month at a time. The control provides "
			"buttons in its header for easier navigation to the previous and next month. "
			"Clicking on the control's header with the mouse opens a context menu for direct "
			"navigation to a sepcific month. The control provides a simple single-day selection.";
		image: Image { url: "{__DIR__}Images/StepCalendar.png"; };
	},
	Step.Desc
	{
		id: STEP_CLOCK;
		title: "Clock";
		tooltip: "Demonstrates the Clock control.";
		description: "The Clock control represents an analog clock with a theme similar to "
			"the one in Windows Vista.";
		image: Image { url: "{__DIR__}Images/StepClock.png"; };
	},
];

package function getStep(id: Integer)
{
	for (step in Steps)
	{
		if (step.id == id)
			return step;
	}

	return null;
}