/*
 * StepComboBox.fx
 *
 * Created on Feb 26, 2010, 4:29:47 PM
 */

package mindfusion.controls.demo;

import javafx.scene.*;
import javafx.scene.control.*;
import javafx.scene.image.*;
import javafx.scene.layout.*;
import javafx.scene.paint.*;
import java.util.*;

import mindfusion.controls.*;


/**
 * @author Meppy
 */

package class StepDropDown extends StepBase
{
	override function create(): Node
	{
		def margin = 5;
		VBox
		{
			translateX: 2 * margin;
			translateY: 2 * margin;
			spacing: margin;
			content:
			[
				Label
				{
					text: "A simple drop-down combo box:"
					textFill: Color.WHITE;
					font: Utilities.DefaultFont;
				},
				mindfusion.controls.ComboBox
				{
					width: 200;
					height: 24;
					items:
						for (i in [1..10])
							"Item #{i}";
				},
				Label
				{
					text: "A date picker:"
					textFill: Color.WHITE;
					font: Utilities.DefaultFont;
				},
				DatePicker
				{
					width: 200;
					height: 24;
					selectedDate: new java.util.Date();
				},
				Label
				{
					text: "A custom drop-down control:"
					textFill: Color.WHITE;
					font: Utilities.DefaultFont;
				},
				TreeViewPicker
				{
					width: 200;
					height: 24;
				},
			]
		}
	}
}

class TreeViewPicker extends DropDown
{
	init
	{
		super.editControl = textBox;
		super.dropDownControl = treeView;
		super.dropDownStyle = DropDownStyle.DROP_DOWN_LIST;
	}

	def textBox: TextBox = TextBox
	{
		editable: false;
	};

	def r = new Random();

	def treeView: TreeView = TreeView
	{
		layoutInfo: LayoutInfo
		{
			minWidth: 200;
		}
		items: for (i in [1..r.nextInt(6) + 4])
			TreeViewItem
			{
				content: HBox
				{
					spacing: 2;
					content:
					[
						ImageView { image: Image { url: "{__DIR__}Images/OpenedBook.png"; } },
						Label
						{
							text: "Item #{i}";
							font: Utilities.DefaultFont;
						}
					]
				}
				tag: "Item #{i}";
				items: for (j in [1..r.nextInt(4)])
					TreeViewItem
					{
						content: HBox
						{
							spacing: 2;
							content:
							[
								ImageView { image: Image { url: "{__DIR__}Images/Topic.png"; } },
								Label
								{
									text: "Item #{j}";
									font: Utilities.DefaultFont;
								}
							]
						}
						tag: "Item #{j}";
					}
			};
		selectedItemChanged: function(item: TreeViewItem)
		{
			liftUp();

			if (item == null)
				return;

			textBox.text = item.tag.toString();
		}
	};
}
