/*
 * StepGrid.fx
 *
 * Created on Feb 25, 2010, 5:23:00 PM
 */

package mindfusion.controls.demo;

import javafx.scene.*;
import javafx.scene.image.*;
import javafx.scene.layout.*;
import javafx.scene.paint.*;
import javafx.scene.text.*;

import mindfusion.controls.*;


/**
 * @author Meppy
 */

package class StepGrid extends StepBase
{
	def Contacts =
	[
		Contact
		{
			firstName : "slavcho";
			lastName : "glavcho";
			emailAddress : "slavcho@mindfusion.eu";
			phone : "111-222-333";
			birthDate: java.util.Calendar.getInstance();
			age: 32;
			iq: 103.2;
			married: true;
			image: Image { url: "{__DIR__}Images/01.png" };
		}
		Contact
		{
			firstName : "bill";
			lastName : "gates";
			emailAddress : "billg@microsoft.com";
			phone : "123-123-123";
			birthDate: java.util.Calendar.getInstance();
			age: 56;
			iq: 102.3;
			married: true;
		}
		Contact
		{
			firstName : "zezko";
			lastName : "mezko";
			emailAddress : "meppy@mindfusion.eu";
			phone : "333-222-111";
			birthDate: java.util.Calendar.getInstance();
			age: 30;
			iq: 25.5;
			married: false;
		}
		Contact
		{
			firstName : "santa";
			lastName : "claus";
			emailAddress : "santa_claus@hotmail.com";
			phone : "111-111-111";
			birthDate: java.util.Calendar.getInstance();
			age: 3204;
			iq: 0;
			married: false;
			image: Image { url: "{__DIR__}Images/03.png" };
		}
		Contact
		{
			firstName : "boris";
			lastName : "todorof";
			emailAddress : "todorovcheto@hotmail.com";
			phone : "222-222-222";
			birthDate: java.util.Calendar.getInstance();
			age: 25;
			iq: 90.1;
			married: false;
			image: Image { url: "{__DIR__}Images/02.png" };
		}
	];

	function clone(s:Contact[])
	{
		return for (x in s) x.clone();
	}

	function getContactData(): Contact[]
	{
		var hugedata: Contact[] = [];
		for (i in [1..40000])
			insert clone(Contacts) into hugedata;
		hugedata;
	}

	def hugeData = getContactData();
	var root: Grid;

	override var width on replace
	{
		def margin = 1;
		//root.width = width - 2 * margin;
	};

	override var height on replace
	{
		def margin = 1;
		//root.height = height - 2 * margin;
	};

	override function create(): Node
	{
		def margin = 1;
		root = Grid
		{
			translateX: margin;
			translateY: margin;
			width: bind width - 2 * margin;
			height: bind height - 2 * margin;
//			layoutInfo: LayoutInfo
//			{
//				width: bind width - 2 * margin;
//				height: bind height - 2 * margin;
//			};
			items: bind hugeData;
			sortableColumns: false;
			columns:
			[
				GridColumn { dataMember: "#focus"; title: ""; width: 18; resizable: false; },
				GridColumn { dataMember: "#index"; title: "ID"; width: 30; fill: Color.RED; textAlignment: TextAlignment.RIGHT; },
				GridColumn { dataMember: "image"; title: "Picture"; width: 60; fill: Color.YELLOW; },
				GridColumn { dataMember: "firstName"; title: "Name"; width: 55; fill: Color.GREEN; },
				GridColumn { dataMember: "lastName"; title: "Surname"; width: 55; fill: Color.BLUE; },
				GridColumn { dataMember: "emailAddress"; title: "Email address"; width: 150; fill: Color.CYAN; },
				GridColumn { dataMember: "birthDate"; title: "Birth date"; width: 55; fill: Color.ORANGE; },
				GridColumn { dataMember: "married"; title: "Married"; width: 55; fill: Color.BROWN; },
				GridColumn { dataMember: "age"; title: "Age"; width: 55; fill: Color.LEMONCHIFFON; },
				GridColumn { dataMember: "iq"; title: "IQ"; width: 55; fill: Color.KHAKI; },
				GridColumn { dataMember: "phone"; title: "Phone"; width: 100; fill: Color.YELLOW; },
			];
			queryValue: function(item: Object, member: String): Object
			{
				def contact = item as Contact;
				return
					if (member == "firstName")
						contact.firstName
					else if (member == "lastName")
						contact.lastName
					else if (member == "emailAddress")
						contact.emailAddress
					else if (member == "birthDate")
						contact.birthDate
					else if (member == "married")
						contact.married
					else if (member == "image")
						contact.image
					else if (member == "age")
						contact.age
					else if (member == "iq")
						contact.iq
					else if (member == "phone")
						contact.phone
					else
						null;
			};
		};
	}
}
