/*
 * StepListView.fx
 *
 * Created on Mar 2, 2010, 9:42:41 AM
 */

package mindfusion.controls.demo;

import javafx.geometry.*;
import javafx.scene.*;
import javafx.scene.control.*;
import javafx.scene.image.*;
import javafx.scene.layout.*;
import javafx.scene.paint.*;

import mindfusion.controls.*;


/**
 * @author Meppy
 */

package class StepListView extends StepBase
{
	override function create(): Node
	{
		def margin = 5;

		var listView: mindfusion.controls.ListView;
		var label: Label;

		VBox
		{
			translateX: 2 * margin;
			translateY: 2 * margin;
			spacing: margin;
			content:
			[
				Label
				{
					text: "Simple list view:";
					textFill: Color.WHITE;
					font: Utilities.DefaultFont;
				},
				listView = mindfusion.controls.ListView
				{
					layoutInfo: LayoutInfo
					{
						width: 200;
						height: 240;
					};
					items:
					[
						for (i in [1..10])
							HBox
							{
								nodeVPos: VPos.CENTER;
								spacing: 4;
								content:
								[
									CheckBox
									{
										selected: false;
									},
									ImageView
									{
										fitWidth: 32;
										fitHeight: 32;
										image: Image
										{
											url: "{__DIR__}Images/ListIcon{(i - 1) mod 5 + 1}.png";
										};
									},
									Label
									{
										text: "List Item #{i}";
										font: Utilities.DefaultFont;
									},
								];
							}
					];
					selectedIndexChanged: function(oldValue)
					{
						label.text = "Item #{listView.selectedIndex} selected.";
					};
				},
				label = Label
				{
					text: "<Select an item>";
					textFill: Color.WHITE;
					font: Utilities.DefaultTitleFont;
				},
			];
		};
	}
}
