/*
 * StepMenu.fx
 *
 * Created on Mar 1, 2010, 4:46:14 PM
 */

package mindfusion.controls.demo;

import javafx.scene.*;
import javafx.scene.control.*;
import javafx.scene.input.*;
import javafx.scene.layout.*;
import javafx.scene.paint.*;
import javafx.scene.shape.*;
import javafx.geometry.*;

import mindfusion.controls.*;
import javafx.scene.image.Image;


/**
 * @author Meppy
 */

package class StepMenu extends StepBase
{
	override function create(): Node
	{
		def margin = 5;
		var label: Label;
		var contextMenu: ContextMenu;

		def handler = function(source: MenuItem): Void
		{
			label.text = "Menu item '{source.tag.toString()}' triggered.";
		};

		VBox
		{
			translateX: 2 * margin;
			translateY: 2 * margin;
			spacing: 4 * margin;
			content:
			[
				HBox
				{
					spacing: 4 * margin;
					content:
					[
						VBox
						{
							spacing: margin;
							content:
							[
								Label
								{
									text: "Ordinary menu:";
									textFill: Color.WHITE;
									font: Utilities.DefaultFont;
								},
								Menu
								{
									layoutInfo: LayoutInfo
									{
										width: 200;
										//height: 16;
									};
									items:
									[
										MenuItem
										{
											node: Label
											{
												text: "File";
												font: Utilities.DefaultFont;
											};
											items:
											[
												Utilities.createMenuItem("New", "New.png", handler),
												Utilities.createMenuItem("Open", "Open.png", handler),
												Utilities.createMenuItem("Save", "Save.png", handler),
												Utilities.createMenuItem("Close", "Empty.png", handler),
												mindfusion.controls.Separator { },
												Utilities.createMenuItem("Exit", "Empty.png", handler),
											];
										},
										MenuItem
										{
											node: Label
											{
												text: "Complex";
												font: Utilities.DefaultFont;
											};
											items:
											[
												MenuItem
												{
													node: HBox
													{
														spacing: 2;
														nodeVPos: VPos.CENTER;
														content:
														[
															Label
															{
																text: "Enter text:"
																font: Utilities.DefaultFont;
															},
															TextBox
															{
																width: 60;
															},
														];
													};
													action: function(source)
													{
														def text = ((source.node as HBox).content[1] as TextBox).text;
														label.text = "Text entered: '{text}'.";
													}
												},
												MenuItem
												{
													node: CheckBox
													{
														text: "CheckBox item";
													};
												}
											];
										},
									];
								},
							];
						},
						VBox
						{
							spacing: margin;
							content:
							[
								VBox
								{
									content:
									[
										Label
										{
											text: "Context menu:";
											textFill: Color.WHITE;
											font: Utilities.DefaultFont;
										},
										Label
										{
											text: "(right-click on the rectangle below to trigger):";
											textFill: Color.web("#AAAAAA");
											font: Utilities.DefaultSmallFont;
										},
									];
								},
								Rectangle
								{
									width: 200;
									height: 100;
									fill: Color.PALEGOLDENROD;
									stroke: Color.DARKGOLDENROD;
									strokeWidth: 1;
									onMouseClicked: function(e)
									{
										if (e.button == MouseButton.SECONDARY)
										{
											contextMenu.show(e.source, e.x, e.y + 16);
										}
									};
								},
								contextMenu = ContextMenu
								{
									items:
									[
										MenuItem
										{
											node: Label
											{
												text: "Users";
												font: Utilities.DefaultTitleFont;
											};
											items:
											[
												Utilities.createMenuItem("Christine", "012.png", handler),
												Utilities.createMenuItem("Peter", "019.png", handler),
												Utilities.createMenuItem("Lee", "020.png", handler),
												Utilities.createMenuItem("John", "026.png", handler),
											];
										},
									]
								},
							];
						},
					];
				},
				label = Label
				{
					text: "<Click on a menu item>";
					textFill: Color.WHITE;
					font: Utilities.DefaultTitleFont;
				},
			];
		};
	}
}
