/*
 * StepTabView.fx
 *
 * Created on Mar 4, 2010, 1:51:38 PM
 */

package mindfusion.controls.demo;

import javafx.scene.*;
import javafx.scene.control.*;
import javafx.scene.layout.*;
import javafx.scene.paint.*;
import javafx.scene.text.*;

import mindfusion.controls.*;


/**
 * @author Meppy
 */

package class StepTabView extends StepBase
{
	override function create(): Node
	{
		def margin = 5;

		var tabView: TabView;
		var label1: Label;
		var checkBox1: CheckBox;
		def radioButtonGroup = ToggleGroup { };

		VBox
		{
			translateX: 2 * margin;
			translateY: 2 * margin;
			spacing: margin;
			content:
			[
				Label
				{
					text: "Simple tab view:";
					textFill: Color.WHITE;
					font: Utilities.DefaultFont;
				},
				tabView = TabView
				{
					width: 300;
					height: 320;
					effect: javafx.scene.effect.DropShadow { };
					showCloseButtons: bind checkBox1.selected;
					items:
					[
						TabPage
						{
							header: Label
							{
								text: "Taskbar";
								font: Utilities.DefaultFont;
							};
							content: VBox
							{
								translateX: 2 * margin;
								translateY: 2 * margin;
								spacing: margin;
								content:
								[
									CheckBox
									{
										text: "Lock the taskbar";
										font: Utilities.DefaultFont;
										selected: true;
									},
									CheckBox
									{
										text: "Auto-hide the taskbar";
										font: Utilities.DefaultFont;
									},
									CheckBox
									{
										text: "Keep the taskbar on top of other windows";
										font: Utilities.DefaultFont;
										selected: true;
									},
									CheckBox
									{
										text: "Group similar taskbar buttons";
										font: Utilities.DefaultFont;
										selected: true;
									},
									CheckBox
									{
										text: "Show window previews (thumbnails)";
										font: Utilities.DefaultFont;
										disable: true;
									},
								];
							};
						},
						TabPage
						{
							header: Label
							{
								text: "Start Menu";
								font: Utilities.DefaultFont;
							};
							content:  VBox
							{
								translateX: 2 * margin;
								translateY: 2 * margin;
								spacing: margin;
								content:
								[
									RadioButton
									{
										text: "Start menu";
										font: Utilities.DefaultFont;
										toggleGroup: radioButtonGroup;
										selected: true;
									},
									Text
									{
										translateX: 16;
										wrappingWidth: 250;
										content: "This menu style gives you easy access to "
											"your folders, favorite programs, and search.";
										font: Utilities.DefaultFont;
									}
									RadioButton
									{
										text: "Classic start menu";
										font: Utilities.DefaultFont;
										toggleGroup: radioButtonGroup;
									},
									Text
									{
										translateX: 16;
										wrappingWidth: 250;
										content: "This menu style gives you the look and "
											"functionality of previous versions of OS.";
										font: Utilities.DefaultFont;
									},
									VBox
									{
										translateY: 40;
										spacing: margin;
										content:
										[
											Label
											{
												text: "Privacy";
												font: Utilities.DefaultFont;
											},
											CheckBox
											{
												selected: true;
												width: 250;
												text: "Store a list of recently opened files";
												font: Utilities.DefaultFont;
											},
											CheckBox
											{
												selected: true;
												width: 250;
												text: "Store a list of recently opened programs";
												font: Utilities.DefaultFont;
											},
										];
									},
								];
							};
						},
						TabPage
						{
							header: Label
							{
								text: "Toolbars";
								font: Utilities.DefaultFont;
							};
							content: VBox
							{
								translateX: 2 * margin;
								translateY: 2 * margin;
								spacing: margin;
								content:
								[
									Label
									{
										text: "Select which toolbars to add to the taskbar:";
										font: Utilities.DefaultFont;
									},
									SunkenBorder
									{
										width: 270;
										height: 255;
										child: mindfusion.controls.ListView
										{
											items:
											[
												CheckBox
												{
													text: "Address";
													font: Utilities.DefaultFont;
													selected: true;
												},
												CheckBox
												{
													text: "Media";
													font: Utilities.DefaultFont;
												},
												CheckBox
												{
													text: "Links";
													font: Utilities.DefaultFont;
												},
												CheckBox
												{
													text: "Desktop";
													font: Utilities.DefaultFont;
													selected: true;
												},
												CheckBox
												{
													text: "Quick Launch";
													font: Utilities.DefaultFont;
													selected: true;
												},
											];
										};
									},
								];
							};
						},
					];
				},
				VBox
				{
					translateY: 10;
					content:
					[
						Group
						{
							content:
							[
								checkBox1 = CheckBox
								{
									selected: false;
									width: bind 18 + label1.boundsInLocal.width;
								},
								label1 = Label
								{
									translateX: 18;
									translateY: 2;
									text: "Show Close Buttons";
									textFill: Color.WHITE;
									font: Utilities.DefaultFont;
								}
							]
						},
					];
				},
			];
		};
	}
}
