/*
 * StepToolBar.fx
 *
 * Created on Mar 2, 2010, 10:19:37 AM
 */

package mindfusion.controls.demo;

import javafx.geometry.*;
import javafx.scene.*;
import javafx.scene.control.*;
import javafx.scene.image.*;
import javafx.scene.layout.*;
import javafx.scene.paint.*;

import mindfusion.controls.*;


/**
 * @author Meppy
 */

package class StepToolBar extends StepBase
{
	override function create(): Node
	{
		def margin = 5;

		VBox
		{
			translateX: 2 * margin;
			translateY: 2 * margin;
			spacing: margin;
			content:
			[
				Label
				{
					text: "Simple toolbar:";
					textFill: Color.WHITE;
					font: Utilities.DefaultFont;
				},
				ToolBar
				{
					layoutInfo: LayoutInfo
					{
						width: 200;
						//height: 32;
					};
					items:
					[
						ToolBarItem
						{
							node: HBox
							{
								spacing: 2;
								nodeVPos: VPos.CENTER;
								content:
								[
									ImageView
									{
										fitWidth: 32;
										fitHeight: 32;
										image: Image
										{
											url: "{__DIR__}Images/01.png";
										};
									},
									Label
									{
										text: "Text";
										font: Utilities.DefaultFont;
									}
								];
							};
							toolTip: "A toolbar item with image and text.";
						},
						ToolBarItem
						{
							node: ImageView
							{
								fitWidth: 32;
								fitHeight: 32;
								image: Image
								{
									url: "{__DIR__}Images/02.png";
								};
							};
							toolTip: "An image-only toolbar item.";
						},
						ToolBarItem
						{
							node: ImageView
							{
								fitWidth: 32;
								fitHeight: 32;
								image: Image
								{
									url: "{__DIR__}Images/03.png";
								};
							};
							items:
							[
								Utilities.createMenuItem("New", "New.png", "New Menu Item"),
								Utilities.createMenuItem("Open", "Open.png", "Open Menu Item"),
								Utilities.createMenuItem("Save", "Save.png", "Save Menu Item"),
								Utilities.createMenuItem("Close", "Empty.png", "Close Menu Item"),
							];
							toolTip: "A toolbar item with drop-down menu.";
						},
					];
				},
			];
		};
	}
}
