/*
 * Utilities.fx
 *
 * Created on Feb 26, 2010, 10:13:16 AM
 */

package mindfusion.controls.demo;

import javafx.scene.control.*;
import javafx.scene.image.*;
import javafx.scene.layout.*;
import javafx.scene.text.*;

import mindfusion.controls.*;


/**
 * @author Meppy
 */

package var DefaultFont = Font
{
	name: "Tahoma";
	size: 12;
};

package var DefaultSmallFont = Font
{
	name: "Tahoma";
	size: 10;
};

package var DefaultTitleFont = Font
{
	name: "Tahoma Bold";
	size: 14;
};

package var TitleFontBig = Font
{
	name: "Tahoma Bold";
	size: 16;
};

package var TitleFontHuge = Font
{
	name: "Tahoma Bold";
	size: 24;
};

/**
 * Creates a TreeViewItem with the specified text and image.
 */
package function createTreeViewItem(text: String, imageFile: String): TreeViewItem
{
	createTreeViewItem(text, imageFile, true, []);
}

/**
 * Creates a TreeViewItem with the specified text and image.
 */
package function createTreeViewItem(text: String, imageFile: String, collapsed: Boolean): TreeViewItem
{
	createTreeViewItem(text, imageFile, collapsed, []);
}

package function testCreateTreeViewItem(width: Number, height: Number, color: javafx.scene.paint.Color, collapsed: Boolean, subitems: TreeViewItem[]): TreeViewItem
{
	TreeViewItem
	{
		collapsed: collapsed;
		items: subitems;
		content: javafx.scene.shape.Rectangle
		{
			width: width;
			height: height;
			fill: color;
		}
	}
}

/**
 * Creates a TreeViewItem with the specified text and image.
 */
package function createTreeViewItem(text: String, imageFile: String, collapsed: Boolean, subitems: TreeViewItem[]): TreeViewItem
{
	TreeViewItem
	{
		collapsed: collapsed;
		items: subitems;
		tag: text;
		content: HBox
		{
			spacing: 2;
			content:
			[
				ImageView { image: Image { url: "{__DIR__}Images/{imageFile}"; } },
				Label
				{
					text: text;
					font: Utilities.DefaultFont;
				},
			]
		}
	}
}

/**
 * Creates a MenuItem with the specified text and image.
 */
package function createMenuItem(text: String, imageFile: String, actionHandler: function(source: MenuItem)): MenuItem
{
	createMenuItem(text, imageFile, actionHandler, null, "");
}

/**
 * Creates a MenuItem with the specified text and image.
 */
package function createMenuItem(text: String, imageFile: String, toolTip: String): MenuItem
{
	createMenuItem(text, imageFile, null, null, toolTip);
}

/**
 * Creates a MenuItem with the specified text and image.
 */
package function createMenuItem(text: String, imageFile: String,
	actionHandler: function(source: MenuItem), subitems: MenuItem[], toolTip: String): MenuItem
{
	def item = MenuItem
	{
		items: subitems;
		tag: text;
		action: actionHandler;
		icon: Image { url: "{__DIR__}Images/{imageFile}"; }
		node: Label
		{
			text: text;
			font: Utilities.DefaultFont;
		};
	}

	if (toolTip != "")
		ToolTip.register(item, toolTip);

	item;
}
